#!/bin/bash -e
adduser --system --no-create-home --home /data --uid 1000  www-user
sed -i "s/APACHE_RUN_USER=www-data/APACHE_RUN_USER=www-user/" /etc/apache2/envvars
/etc/init.d/apache2 start
tail -f /var/log/apache2/error.log &

V="/data/run/virtualenv"
if [[ ! -e $V ]] ; then
  mkdir -p $V
  virtualenv -p python3 $V
  cd $V
  source $V/bin/activate
  pip3 install -U -r  /data/dev/requirements.txt
fi

/bin/bash
